package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Cost_sheet;
import com.realnet.vpspack.Services.Cost_sheetService ;








@RequestMapping(value = "/Cost_sheet")
 @CrossOrigin("*") 
@RestController
public class Cost_sheetController {
	@Autowired
	private Cost_sheetService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Cost_sheet")
		  public Cost_sheet Savedata(@RequestBody Cost_sheet data) {
		Cost_sheet save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Cost_sheet/{id}")
	public  Cost_sheet update(@RequestBody Cost_sheet data,@PathVariable Integer id ) {
		Cost_sheet update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Cost_sheet/getall/page")
	public Page<Cost_sheet> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Cost_sheet> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Cost_sheet")
	public List<Cost_sheet> getdetails() {
		 List<Cost_sheet> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Cost_sheet")
	public List<Cost_sheet> getallwioutsec() {
		 List<Cost_sheet> get = Service.getdetails();		
		return get;
}
@GetMapping("/Cost_sheet/{id}")
	public  Cost_sheet  getdetailsbyId(@PathVariable Integer id ) {
		Cost_sheet  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Cost_sheet/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}